[PATCH] Fix scripts/mkuboot.sh to return status
From: George G. Davis (gdavis_at_mvista.com)
Date: 03/03/05
- Previous message: Jeff Mahoney: "Re: [PATCH 2/3] openfirmware: adds sysfs nodes for openfirmware devices"
- Next in thread: Sam Ravnborg: "Re: [PATCH] Fix scripts/mkuboot.sh to return status"
- Reply: Sam Ravnborg: "Re: [PATCH] Fix scripts/mkuboot.sh to return status"
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
Date: Thu, 3 Mar 2005 16:16:41 -0500 To: sam@ravnborg.org, linux-kernel@vger.kernel.org
Sam,
If `mkimage` is either not found in search path or returns non-zero status,
`make uImage` succeeds when it should fail. This changes scripts/mkuboot.sh
to return status so build succeeds or fails as appropriate.
Source: MontaVista Software, Inc.
MR: 10761
Type: Defect Fix
Disposition: submitted to linux-kernel@vger.kernel.org
Keywords:
Description:
Fix scripts/mkuboot.sh to return non-zero status to indicate
build failure when uImage target is not created.
Signed-off-by: George G. Davis <gdavis@mvista.com>
Index: linux-2.6.11-bk/scripts/mkuboot.sh
===================================================================
--- linux-2.6.11-bk.orig/scripts/mkuboot.sh
+++ linux-2.6.11-bk/scripts/mkuboot.sh
@@ -9,8 +9,10 @@
if [ -z "${MKIMAGE}" ]; then
# Doesn't exist
echo '"mkimage" command not found - U-Boot images will not be built' >&2
- exit 0;
+ exit -1
fi
# Call "mkimage" to create U-Boot image
${MKIMAGE} "$@"
+
+exit $?
-- Regards, George - To unsubscribe from this list: send the line "unsubscribe linux-kernel" in the body of a message to majordomo@vger.kernel.org More majordomo info at http://vger.kernel.org/majordomo-info.html Please read the FAQ at http://www.tux.org/lkml/
- Previous message: Jeff Mahoney: "Re: [PATCH 2/3] openfirmware: adds sysfs nodes for openfirmware devices"
- Next in thread: Sam Ravnborg: "Re: [PATCH] Fix scripts/mkuboot.sh to return status"
- Reply: Sam Ravnborg: "Re: [PATCH] Fix scripts/mkuboot.sh to return status"
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
Relevant Pages
|
|